Introduction
Top Next

pllogo

Congratulations on choosing PicaLoader - a fully automated, multithreaded, link-following, picture-retrieving robot that will retrieve all the pictures you want from any part of the Internet. The program can also manage the downloaded pictures with a built-in thumbnail browser.

With the advanced HTML analyzing engine, you can download any picture from the Internet, even pictures linked by JavaScript, VBScript and JScript. Pictures can be filtered by size, definition, color depth, etc., with the high-powered, pre-reading picture filter engine.

PicaLoader can auto-reject duplicate pictures, resume broken downloads, save every picture's name, size, creation time, download time, referrer URL, and the picture's notes for you. You can use the built-in picture filter profile or define your own.

With the built-in pagination Thumbnail Browser, you can quickly and efficiently find, organize and preview pictures. You can sort, search, copy, or move the pictures you have downloaded, and even set a password for your project, which may contain up to 700,000 pictures.

The user interface is designed for quick access to tools, and there are many customization features. Screen layout, the order of pictures, and many options can be customized to suit your preferences. PicaLoader is a fast and easy-to-use product that everyone from novices to professionals can use and enjoy.


Picture Format Support
Previous Top Next

JPG JPEG JFIF

PCX ZSoft Publisher's Paintbrush

PNG Portable Network Graphics

TIFF Tag Image File Format

BMP Windows Bitmap

GIF Graphics Interchange Format

WMF Windows Metafile Format


PicaLoader Features

Features of PicaLoader

Connect to Internet

· Multithread download, 50 max threads.

· Resume broken downloads.

· HTTP proxy servers are supported (Include most NTLM proxies).

Download Pictures

· Advanced HTML analyst engine which can follow almost every link, include JavaScript, VBScript, and JScript links, and is secure against viruses and malicious scripts.

· Advanced picture filters. PicaLoader includes several picture filter profiles, for example, High resolution photo, Gif Animation, 800X600 Wallpaper, 1024X768 Wallpaper, etc. You can even define your own picture filter profile to filter pictures by Size, Definition, Type, etc. PicaLoader filters pictures by analyzing the picture file's header recorder, so there is no need to download entire pictures which do not meet your criteria to local machine.

· You can use Perl-5 compatible regular expression in URL filter.

· You can pause the download at any moment, and you can modify the picture filter before you resume the download, when download paused, you can use queue browser to browse and manage the URLs in the queue.

· You can save every picture's name, size, creation time, download time, referrer URL, and notes made by you.

Manage Downloaded Pictures

· Pagination, Thumbnail Browser, quick-load thumbnails, easy navigation between pages. Manage millions of pictures quickly and easily.

· When you downloading pictures, the new pictures are added to the browser immediately.

· You can sort pictures by name, size, width, height, time, notes, referrer URL, width*height, etc.

· You can search pictures by name, size, width, height, time, notes, referrer URL, etc, and display the search result in another thumbnail browser.

· You can check pictures on different pages and copy, move, or delete these checked pictures.

· You can set any picture as Windows wallpaper.

· You can set a password for your project, and others then cannot open your project without your password.

· Up to 700,000 pictures per Project.

View pictures

· Preview pane, to view current selected picture.

· Full screen viewer, shrink images to fit the screen or view them full-size. View and scroll through full-size images quickly.


Product History

Legend
+ New feature

o Minor change

!! Bug fix

Version 1.37 September 2003

o Improved User Interface.

o Compatible with WindowBlinds.

!!Bug fix

Version 1.36 September 2003

o Improved HTML Analyzing Engine.

!!Bug fix

Version 1.35 August 2003

o Improved HTML Analyzing Engine.

+ Six sample projects included.

!!Bug fix

Version 1.32 August 2003

o Improve Monitor View.

!!Bug fix

Version 1.31 Jul 2003

o Improve HTML Analyzing Engine for some kind of FORM based link.

!!Bug fix

Version 1.30 Jul 2003

o Support Regular Expression in picture/page URL filter!

o Download queue browser! Now you can browse the queue and remove the URLs that you want ignore.

o Keyword test, you can test whether a keyword match an URL.

o Splash screen.

o New icon and Logo.

Version 1.25 May 2003

o Improve HTML Analyzing Engine for some kind of ASP/JSP based web forum.

o Improve User Interface, new toolbar icon.

o Add "Within current directory & deeper" option in page location & picture location.

o "Auto select new picture" option switchable while a task is running.

o Auto refresh tray icon when the Windows Explorer is died.

o Support mouse wheel in full screen mode(mouse wheel for next page/previous page, CTRL+mouse wheel/left mouse button down+mouse whell for scroll picture).

!!Bug fix

Version 1.20 April 2003

o Improve HTML Analyzing Engine.

o Improve User Interface.

!!Bug fix

Version 1.19 March 2003

+ Hot key for check all, check none, invert check.

!! Bug fix

Version 1.18 March 2003

+ Option to disable system tray icon.

!! Bug fix

Version 1.17 February 2003

+ Minimize PicaLoader to system tray icon.

!! Bug fix

Version 1.15 January 2003

+ Option to create "Lite" project, which can save all picture into one folder, and limit to 20,000 pictures per project.

+ Can check multiple pictures by hold Shift then click the check box or press Spacebar.

o In search view, when select "Check all" or "Check none" from main menu, only act on search result.

!! Bug fix

Version 1.1 October 2002

+ Option to search a sequence of pictures and to search a picture sequence by number, even if the picture is not visible in the target site.

+ Drop Box accepts links or webpage text selections taken from IE browsers.

+ Slide Show; can display a sequence of pictures as a slide show, each picture being shown in the Full screen mode for a predetermined time.

+ Option to limit the number of pictures for each download, if the limit is reached the download will pause, and you can resume it next time.

o Original filename_identifier string as the saving filename.

!! Bug fix

Version 1.0 Augest 2002

Initial release.


Copyright

PicaLoader 1.37

Copyright ©2002-2003 VOWSoft,Ltd. - All Rights Reserved

Visit our Web site at:

www.VOWSoft.com


Starting the Program

After installing PicaLoader, an application icon is placed on the desktop and in the Start menu. When you double-click this icon, PicaLoader opens the last project. , If it is the first time you are using PicaLoader, the program will create a new project for you.

Starting from Windows Explorer

You can open projects directly from Windows Explorer so that PicaLoader is launched.

To open PicaLoader from Windows Explorer,Double-click a project file (.php file).


System Requirements

PicaLoader will run on computer systems that meet the minimum requirements specified here. Choose the recommended requirements if you are working with large picture sizes or large numbers of pictures and would like a faster download and display of pictures.

Minimum System requirements:

Processer Pentium® class CPU - 200 Mhz

OS Windows 98/NT/ME/2000/XP

Internet Browser IE 5.0 or higher

RAM 64 Mb

Disk Space 2MB free disk space and additional disk space for picture downloads.

Video 800x600, 65536 colors

Network Connect to the Internet with TCP/IP protocal.

For improved performance, we recommend:

Processer Pentium® 3/4 or AMD Athlon - 500 Mhz or more

RAM 256 Mb

Video True Color Video Card (24 or 32 bits - 16,8 M colors) - 1024x768


Using Help Tools

To access the help file, do one of the following:

· Press the F1 key.

· Click Help | Contents.

Toolbar Buttons

Hide/Show Click the icon to close or open the left tabs of the help file window.

Back/Forward Click the icons to navigate to a topic that you have previously viewed.

Print Click the icon to send a copy of the topic you are viewing in the right pane to your default printer.

VOWSoft Click the VOWSoft button to go to VOWSoft's Web site at: www.VOWSoft.com.

Navigation pane

Contents Double-click a book to display its sub-books and pages, or double-click a page to view its information in the right pane.

Index Type in keywords or phrases to find topics associated with these terms. To view the topic, select the keyword, and click Display.

Search Type the words you want to search for and click List Topics to find topics containing these words. When you want to view a topic, select it and click Display.

Favorites When a frequently used topic is displayed in the right pane, click Add. To view a topic from the list of your favorite topics, select it and click Display.

Context-sensitive Help (What's This?)

With certain application windows, you have the option of clicking the [image] button located in the upper-right corner of the window.

When the mouse pointer changes into the [What's this?] whatsthiscursor pointer, click a field to access a brief explanation.

You can also access the same information by clicking a field with the right mouse button. However, this method does not work with text boxes.


Quick Tutor by example

1. When you first run, PicaLoader will create an empty project for you, the task tree's root named "New Project", you can change this name by select Rename Task from main menu.

2. Select New Task from main menu or by pressing [image] button on Toolbar to create a new task, PicaLoader will pop up a wizard dialog, with the task name listed as "new start url 1". You can modify the task name, enter or paste the Start URL, select picture filter Profile, etc.

3. If you need, you can modify the task option with the Option tab.

4. Repeat step 2-3 to create more tasks if you want.

5. Select Start from Task menu or pressing [image] on Toolbar to start downloading the project. PicaLoader will prompt you to save project before the download start.

6. When downloading, you can switch to Monitor tab to monitor the downloading, If you find many useless links found by your word choice, you can pause the download by select Pause from Task menu or by pressing [image] on Toolbar, You can then switch to the Option tab, enter these words into the Page URL Exclude Filters or Picture URL Exclude Filters and then Start the download again.

7. When the download is over, PicaLoader will prompt you.


Main Window

The Main has several panes to help you manage and access your project and pictures.Some of the user interface features include:

· Thumbnails and a picture preview to quickly recognize pictures.

· Tabbed pages that open to different panes and give you quick access to project and profiles, to monitor downloading, and to report the download result.

· A toolbar and a statusbar.

Options
You can change Browse window's option using the Main toolbar shortcut buttons [image] or by clicking on Options in the View menu.

To show or hide different areas
1. Click View.
2. Select one of the following:
Toolbar
Status Bar
Project Window
Preview Window


Preview Pane

The Preview pane shows a preview of the currently selected picture.

To control the display of the Preview pane:

Click View | Preview Pane.

To open the preview picture in the Viewer:

Double-click the preview picture.


Project Pane

In Project pane, you can manage your tasks in the project and profiles.


Project Tab

Task states:
· Enable enabled
· Disable disable
· Running runing
When you start to download the project, the disabled tasks will not be downloaded.
Click on State Box to change the state.

New Task:

Select New Task on Main menu|Task.
Or
Click the [image] button on Toolbar.

Rename Task:

Right click the task and select Rename Task.
Or
Click the task to select it and select Rename Task on Main menu|Task

Remove Task:

Right click the task and select Remove Task.
Or
Click the task to select it and select Remove Task on Main menu|Task
Or
Click [image] button on Toolbar.


Profile Tab

PicaLoader has 9 profiles built-in, and in addition you can create your own profiles.

New Profile:

Select New Profile on Main menu|Profile.

Rename Profile:

Right click the profile and select Rename Profile.
Or
Click the profile to select it and select Rename Profile on Main menu|Profile

Remove Task:

Right click the profile and select Remove Profile.
Or
Click the profile to select it and select Remove Profile on Main menu|Profile


Main Pane

In the Main pane, you can manage your pictures, monitor downloading, and manage the profiles.


Pictures Tab

PicaLoader's Picture tab displays your pictures in thumbnail or detail mode and allows you access to various functions. The Picture tab, also known as the Browser, displays all the pictures of the project or one task of the project's pages. When you select Root in the Project pane, PicaLoader will display all pictures in the project in Picture Browser. When you select a task in Project pane, PicaLoader only displays the pictures belonging to this task.

Other features include:

· Page Navigator Bar, You can directly navigate to the first page,last page,next page,previous page or specified page.

· File management functionality (delete, copy to..., move to..., etc.)

· Set as wallpaper.

· Open a picture in the Viewer.

· You can click check boxes to select certain pictures, and then you can delete, move, or copy these checked pictures.

Detail mode:

Thumbnails mode:

Navigate Bar:
You can directly navigate to the first page, last page, next page, previous page or specified page.

Hot Keys:

· Ctrl+Home First Page
· Ctrl+End Last Page
· Ctrl+PageUp Previous Page
· Ctrl+PageDown Next Page


Search Tab

Display the search result in a picture browser, where the browser is the same as the Pictures Tab.


Report Tab

Display the number of pictures and the disk space used by the project.
Display error report of downloads in Internet Explorer.


Option Tab

Set the task's options.

URL The task starting address.This is the first place PicaLoader will begin looking for pictures.
Note: Internet addresses are case-sensitive. Be sure that the address you type is exactly correct. A mistyped letter or punctuation mark will invalidate the address. Copying and pasting an address out of your browser is a good way to ensure you have a valid address. If PicaLoader doesn't retrieve any files or follow any links for your starting address, an invalid address is the most common reason.

Use This Profile Select picture filter profile from drop-down combo box.

Site Requires a password If the site you want download requires a account and password, please check this and enter your account name and password.

Followd Links Specify the "depth" of the search, and specify whether to support JavaScript/VBScript/JScript when following links.

This page only:PicaLoader will retrieve all pictures linked from the starting page;

This page and specify level(s):PicaLoader will retrieve all pictures linked from the starting page and the specified level of pages.

All Levels:PicaLoader will explore all pages within the starting address and retrieve all pictures linked from these pages.

Support J/VB/JavaScript:Specify whether to follow JScript/VBScript/JavaScript Links .

Search sequence pictures:Auto search sequence pictures, Even if these pictures are not visible in the site.

Page Location Specify where the HTML page location will be downloading and analyst.

Within current directory only:PicaLoader will only explore the pages in the starting address directory.

Within current directory & deeper:PicaLoader will only explore the pages in the starting address directory and it's sub-directories.

Within current site:PicaLoader will explore all pages in the all starting address sub-folders.

Within current domain:PicaLoader will explore all pages in the starting address's domain.

Anywhere:PicaLoader will explore all pages found.

Picture Location Specify where the picture location will be downloading.

Within current directory only:PicaLoader will only download the pictures in the starting address directory.

Within current directory & deeper:PicaLoader will only explore the pages in the starting address directory and it's sub-directories.

Within current site:PicaLoader will download all pictures in the all starting address sub-folders.

Within current domain:PicaLoader will download all pictures in the starting address's domain.

Anywhere:PicaLoader will download all pictures found.

Page URL Include Filters PicaLoader will only follow links which contain one of these words. You can input words in this text box, using a semicolon (;) to separate words, you can use Regular Expression in the word.

Page URL Exclude Filters PicaLoader will only follow links which do not contain one of these words. You can input words in this text box, using a semicolon (;) to separate words,, you can use Regular Expression in the word.

Page URL Include Filters PicaLoader will only download pictures from a URL containing one of these words. You can input words in this text box, using a semicolon (;) to separate words, you can use Regular Expression in the word.

Page URL Exclude Filters PicaLoader will only download the pictures from a URL which does not contain one of these words. You can input words in this text box, using a semicolon (;) to separate words, you can use Regular Expression in the word.


Monitor Tab

You can use the Monitor tab to view the download status.
The connections-tree displays the pages and pictures downloading. The monitor bar below shows you the connection number, download Kbytes, current speed, elapsed time, queued pages and pictures, downloaded pages and pictures, error pages and pictures, filtered pictures, and duplicate pictures.


Profile Tab

Change or Create Picture Filter Profiles.

Properties Limit

File sizes limit:

· In K byte.

· The Maximum Size is 0 means no maximum size limit.

· If the Minimum Size equals the Maximum Size, it means you will only get pictures whose file size equals this.

Color depth limit:

· The commonly used color depth is 1,2,3,4,8,16,24,32.

· If the Maximum color depth is 0, it means no maximum color depth limit.

· If the Minimum color depth equals the Maximum color depth, you will only get pictures whose color depth equals this.

Picture sizes limit:

· In pixels.

· If the Maximum Width/Height is 0, it means there is no maximum width/height limit.

· If the Minimum Width/Height equals the Maximum Width/Height , you will only get pictures whose Width/Height equals this.

File Format Limit

Gif file

· Get Gif Files:Check for Gif files according to the Properties Limit.

· Only Animation GIF:Check for animation gif s according to Properties Limit.

Other picture file

· Get BMP Files:Check for BMP files according to the Properties Limit.

· Get TIF Files:Check for TIF files according to the Properties Limit.

· Get WMF Files:Check for WMF files according to the Properties Limit.

· Get PCX Files:Check for PCX files according to the Properties Limit.

· Get PNG Files:Check for PNG files according to the Properties Limit.

· Get JPG Files:Check for JPG files according to the Properties Limit.


Main Menu

Main Menu of PicaLoader

Project Menu

Task Menu

Picture Menu

View Menu

Help Menu


Project Menu

Create, Open, Save project, Set a password for project, Maintenance project database.


New Project

Create a new Project. PicaLoader will create a root item in the Tasks Tab, the item' is "New Project", and the Main Pane will auto-switch to the Option Tab, where you can fill in the options as the project's default options.

· ToolBar
· ShortCut Ctrl+N


Open Project

Open an existing project and display pictures in Picture tab. Current project will be closed.

· ToolBar
· ShortCut Ctrl+O


Save Project

Save the active project's options.

· ToolBar
· ShortCut Ctrl+S


Database

Maintain the project's thumbnail database and picture information database.


Rebuild thumbnails

Re-generate all the picture thumbnails and save thumbnails into the thumbnail database file (Thumbnail.dat)


Optimize thumbnails

Remove deleted pictures' thumbnail from the thumbnail database file.


Optimize project data

Remove deleted pictures' information from the project database file (PicaInfo.dat).So you can remove the deleted pictures.


Set Password

Set a password for the active project. PicaLoader will ask you for the password next time you open this project.


Exit

Exit PicaLoader.If you are downloading pictures, you must Pause or Abort the download first.


Task Menu

New, Remove, Rename task, Enable or disable tasks, Start, Pause, Abort downloading.


New Task

Create a new task. The Main pane will auto-switch to the Option tab. You can enter the starting address and other download options immediately.

· ToolBar

See also:
Option Tab


Remove Task

Remove selected task.

· ToolBar


Rename Task

Change a task's name.


Enable All Tasks

Set all the task's status pointers to Enabled. When you Start download, all the enabled tasks will be downloaded.


Disable All Tasks

Set all tasks' status pointers to Disabled.


Start

Start to download all enabled tasks.

· ToolBar

See also:
Monitor Tab


Pause

Pause current download and save queued links. The next time you Start download, PicaLoader will ask you whether to resume this paused download.

· ToolBar


Abort

Abort current download.

· ToolBar


Queue Browser

After you pause a project, you can use this feature to browse and manage the URL queue.


Keyword Test

PicaLoader support Regular Expression in the picture/page URL filter, you can use this feature to test your picture/page URL filter keyword.

See also:
Regular Expression


Profile Menu

Create, Remove, Rename profiles.


New Profile

Create a new profile. The Main pane will auto-switch to the Profile Form. You can fill the form immediately.

See also:
Profile Form


Remove Profile

Remove selected profile. It is not advisable to remove the build-in profiles.


Rename Profile

Change selected profile's name.


Picture Menu

Searching in downloaded pictures, Manage downloaded pictures, Set a picture as wallpaper.


Search Pictures

Search for pictures matching specific criteria.

See also:
Search Pictures Dialog Box
Searching for Pictures


Delete

Delete selected pictures. The deleted pictures will not be download again when you re-start downloading the project, if you want retrieve deleted pictures, you should select Optimize project data in Project Menu.

See also:
Optimize project data


Copy to...

Copy selected picture to another folder.


Move to...

Move selected picture to another folder.


Check

Set the selected picutre's status to Checked.


Check None

Set all selected task's pictures' status to unchecked. If you select the Root in the task tree, you set all pictures in the project.


Check All

Set all selected task's pictures' status to 'Checked'. If you select the Root in task tree, you set all pictures in the project.


Invert checked

Invert all selected task's pictures' status. If you select Root in task tree, you set all pictures in the project.


Delete checked

Delete all 'Checked' pictures in the project.


Copy checked to...

Copy all 'Checked' pictures in the project to another folder.

· ToolBar


Move checked to...

Move all 'Checked' pictures in the project to another folder.

· ToolBar


Set WallPaper

Set selected picture as Windows desktop wallpaper.


Centered

Set selected picture as Windows desktop wallpaper in centered mode - place the picture in the center of the screen. If the picture is larger than the screen, it is shrunk to fit.


Tiled

Set selected picture as Windows desktop wallpaper in tiled mode - display the picture in full dimensions in a tiled pattern that fills the entire desktop.


Restore

Remove the Windows desktop wallpaper.


Slide Show

PicaLoader can display a sequence of pictures of the current task as a slide show, each picture being shown in the Full screen mode for some predetermined time before going on to the next.

See also:
Options Dialog Box


View Menu

Customize PicaLoader interface.


Toolbar

Show or hide Toolbar.

See also:
Toolbar


Status Bar

Show or hide Status Bar.

See also:
Status Bar


Project Window

Show or hide Project pane.

See also:
Project pane


Preview Window

Show or hide Preview pane.

See also:
Preview pane


Thumbnails

Shows picture items using thumbnail icon. The Picture tab and Search Tab change respectively.

See also:
Picture tab
Search tab


Detail

Display information about each item. The Picture tab and Search Tab change respectively.

See also:
Picture tab
Search tab


Sort

Select "sort column" for sorting pictures in the Picture tab or Search tab.


By Name

Sort by picture's original filename.


By Size

Sort by picture's file size.


By Type

Sort by picture's format.


By Create Time

Sort by picture's create time.


By Download Time

Sort by picture's download time.


By Notes

Sort by picture's Notes.


By Referrer

Sort by picture's Referrer URL.


By Width

Sort by picture's width.


By Height

Sort by picture's height.


By Width*Height

Sort by picture's width*height(Area).


By Definition

Sort by picture's definition.


Options

Brings up the Options dialog box for customizing PicaLoader.

See also:
Option Dialog
How to Customize PicaLoader Using Options


Help Menu

Help using PicaLoader.


Contents

Display the table of contents for this online Help.


Search...

Searchs in this online Help.


Index...

Displays the Index to this online Help.


What's This

Display help for clicked on buttons, menus and windows.


Register...

Register PicaLoader.


Purchase On-Line

Purchase PicaLoader on-line.


PicaLoader Homepage

Visit PicaLoader's Homepage.


About PicaLoader...

Display program information, version number and copyright.


View Window(Viewer)

PicaLoader's View window displays your pictures one at a time in full resolution while still giving access to most of the functionality available in Browse mode. The View window, also known as the Viewer, opens a sequence of pictures to be viewed one at a time. Other features include:

· File management functionality (delete, copy to..., move to..., etc.)

· Set as wallpaper

To open a picture in the Viewer, do one of the following:

· Select a picture in the Browser and press Enter.

· Double-click a picture.

· Click right button,in pop menu,select View.

To return to Browse mode, do one of the following:

· Press Esc or Enter.

· Double-click on the picture.

· Click right button,in pop menu,select Close.

Navigation

If there are more than one picture in the browser you can use the following means of navigation.

· Page Up: Displays the previous picture.

· Page Down: Displays the next picture.

· Space: Set current picture as checked.


Search Pictures Dialog Box

Input search conditions in this dialog box to searching in downloaded pictures.

URL include: Picture's Referer URL contain one of these words. You can input words in this text box, using a semicolon(;) to separate words.

Notes include: Picture's Notes contain one of these words. You can input words in this text box, using semicolon(;) to separate words.

Profile: Picture properties match this picture filter profile.

Created: Picture created in the time span must be in this range.

Downloaded: Picture downloaded in the time span must be in this range.

Only search checked pictures: Check this if you need this feature.


Options Dialog Box

General:
Proxy Server: PicaLoader can work via HTTP proxy servers. If your Internet/Intranet system requires that you connect to a proxy server, check "Connect to the internet using a proxy server" and specify your proxy parameters. If you do not know your proxy settings, contact your system administrator or service provider. Most proxies do not require authentication. However, if your proxy server requires an account and password, enter the username and password. PicaLoader will automatically handle proxy authentication when it runs your project.

Agent Identity: Browsers, webspiders, and other Internet client programs can broadcast their identity when making requests for files. Although it's considered good netiquette to broadcast your true identity, sometimes a remote server will look at the agent identity to determine what type of data to send it or whether to send it data at all. For example, some websites will not send frame links to older Microsoft Internet Explorer browsers, which were not capable of reading frame links. Although PicaLoader defaults to broadcasting its true identity, you may wish to change its identity if a site appears to be unresponsive to PicaLoader, yet works with your browser.

· Anonymous broadcasts no identity at all.

· PicaLoader 1.0 broadcasts the string "PicaLoader <current version number>.

· Mozilla/4.0 (compatible; MSIE 5.5; Windows.98) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 5.5 running under Windows 98;

· Mozilla/4.0 (compatible; MSIE 5.5; Windows.NT 5.0) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 5.5 running under Windows 2000;

· Mozilla/4.0 (compatible; MSIE 6.0; Windows 98) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 6.0 running under Windows 98;

· Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 6.0 running under Windows 2000.

Download:
Connection:

· Max Connections: Specifies the number of simultaneously retrieved files. By default the number is set to 5, but if you are working via a dedicated line, xDSL, Cable Modem or other fast way, you can increase this number.

· Timeout: Number of seconds to wait before a timeout occurs.

· Pause between connections: Pause between successive connections to server, in seconds. Set this to several seconds to protect webservers from overloading.

· Max retries: Maximum number of retries if a connection or download fails. If download is not finished, PicaLoader will resume download next time it connects.

· Don't use IE cookie: Don't use Internet Explorer cookie when connecting to server.

Disk space:

· Disk free space limit Stop download if free disk space drops below this limit in kilobytes.

Max pictures each time download:

· Max pictures each time download limit the number of pictures downloaded each time. If limit is reached, download will pause. You can resume download next time.

Browser&Viewer:
Browser:

· Thumbnails per page: Specifies the number of thumbnails display in Pictures tab and Search tab.

· Auto select new picture: When a new picture is downloaded, auto select it in Pictures tab.

· Store thumbnails: Store thumbnails into Thumbnail.dat, This greatly enhances the speed at which PicaLoader gathers thumbnails.

Viewer:

· Fit picture: Fit the picture into Viewer.

· Full size: Show full picture in Viewer, if picture larger than Viewer, you can Panning/Scrolling it.

Slide Show:
Sequence:

· Forward: Show pictures in forward sequence.

· Reverse: Show pictures in reverse sequence.

· Repeat: When sequence end repeat from start.

Time(Automatic)Slide Show:

· Delay(Second): Delay between each pictures.

Project:
New Project Default Type:

· Standard Project: When create new project, set the project as standard project, which save downloaded pictures into 38 folders, up to 700,000 pictures per project.

· Lite Project: When create new project, set the project as "Lite" project, which save downloaded pictures into one folder, up to 20,000 pictures per project.

Show Tips of the day at StartUp.


Toolbar

The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button. If a command is unavailable, its button appears grayed-out.

To control the display of the Toolbar:

Click View | Toolbar.

Toolbar Shortcut Buttons

Create a new project.

Open an existing project.

Save the active project.

Start download enabled sites.

Pause current download.

Abort current download.

Create a new task.

Remove selected task and all pictures of this task.

Searches for pictures matching specific criteria,and show search result in Search pane.

Brings up the Options dialog box for customizing PicaLoader.

Delete selected picture.

Copy selected picture to another folder.

Move selected picture to another folder.

Show current picture's properties.

Shows picture items using thumbnail icons.

Display detail information about each item.

Display program information, version number and copyright.

Display help for clicked on buttons, menus and windows.


Status Bar

The Status bar, located along the bottom of the PicaLoader window, displays information about the current selected picture: Picture name, Width&Height&Color Depth, Definition, Download time, Notes.
When downloading, display the download status: Total Kbytes downloaded, Average speed, Downloaded pictures/Downloaded pictures + Downloaded pages, Queued pictures/Queued pictures + Queued pages.

To control the display of the Status Bar:

Click View | Status Bar.


Drop Box

dropbox
The Drop Box is a small window which lies on top, which accepts links or webpage text selections dropped from IE browsers. A task will be created for each URL you drop to the Drop Box.
If you are running Windows 2000/Me/XP, the Drop Box window is transparent.

To control the display of the Drop Box:

Click View | Drop Box.


System Tray Icon

When minimize PicaLoader, the main window will be hidden, you can double click on the system tray icon to show the main window.


Create A New Project

To create a new Project, switch to Tasks Tab on the Project Pane and do one of the following:

· Clicking Project menu and select New Project

· Pressing the [image] button on the Toolbar

· Pressing Ctrl+N keys.

PicaLoader will create a root in the Tasks Tab call "New Project" as the new project's name, And the Main Pane will auto switch to the Option Tab, where you can fill in the project's default options.


Use Regular Expression in URL filter

URL filters allow you to easily control Project downloads by setting which pictures/pages should be loaded and which should be skipped.

URL Filters are divided into four parts:

· Page URL Include Filters - determine which HTML pages should be accessed and analyse to follow the links.
· Page URL Exclude Filters - determine which HTML pages should be skipped.
· Picture URL Include Filters - determin which pictures should be downloaded.
· Picture URL Exclude Filters - determin which pictures should be skipped.

You may enter several keywords into each of these filter lists, using a semicolon (;) to separate keywords.
You can use Perl like Regular Expression as keyword, A regular expression is a string of characters which tells PicaLoader which URL (or URLs) you are looking for. The following explains the format of regular expressions in detail. If you are familiar with Perl, you already know the syntax.

1.Simple Regular Expressions:In its simplest form, a regular expression is just a word or phrase to search for. For example,
beatles
would match any URL with the string "beatles" in it, or which mentioned the word "beatles" in the URL line.Thus, URLs like "xxx.beatles.xxx", "xxx.music.xxx/beatles.htm" or "xxx.anmimal.xxx/beatleswild.htm" would all be matched.

2.Metacharacters:Some characters have a special meaning to the filter. These characters are called metacharacters. Although they may seem confusing at first, they add a great deal of flexibility and convenience to the filter.

The period (.) is a commonly used metacharacter. It matches exactly one character, regardless of what the character is. For example, the regular expression:
pic.01
will match "pic001" and "pic101"... Note that the period matches exactly one character-- it will not match a string of characters, nor will it match the null string. Thus, "picture01" and "pic01" will not be matched by the above regular expression.

But what if you wanted to match for a URL containing a period? For example,
pic001.jpg
This would indeed match "pic001.jpg", but it would also match "pic001ajpg", "pic0011jpg"... In short, any string of the form "pic001xjpg", where x is any character, would be matched by the regular expression above.
To get around this, we introduce a second metacharacter, the backslash (\). The backslash can be used to indicate that the character immediately to its right is to be taken literally. Thus, to match for the string "pic001.jpg", we would use:
pic001\.jpg
This is called "quoting". We would say that the period in the regular expression above has been quoted. In general, whenever the backslash is placed before a metacharacter, the searcher treats the metacharacter literally rather than invoking its special meaning.

The question mark (?): indicates that the character immediately preceding it either zero times or one time. Thus
pic0?1
will match "pic1" and "pic01".

The star (*): indicates that the character immediately to its left may be repeated any number of times, including zero. Thus
pic0*1
will match "pic1", "pic01", "pic001", "pic0001", and any string that starts with an "pic", is followed by a sequence of "0"'s, and ends with a "1".

The plus (+): indicates that the character immediately preceding it may be repeated one or more times. It is just like the star metacharacter, except it doesn't match the null string. Thus
pic0+1
would not match "pic1", but it would match "pic01", "pic001", "pic0001" and so on.

Metacharacters may be combined. A common combination includes the period and star metacharacters, with the star immediately following the period. This is used to match an arbitrary string of any length, including the null string. For example:
pic.*1
would match "pic1", "pic01" and even "picture_001" Any string that starts with "pic", is followed by an arbitrary string, and ends with "1" will be matched. Note that the null string will be matched by the period-star pair; thus, "pic1" would be matche by the above expression.

3.Earlier it was mentioned that the backslash can turn ordinary characters into metacharacters, as well as the other way around.

The digit metacharacter: which is invoked by following a backslash with a lower-case "d", like this: "\d". The "d" must be lower case. The digit metacharacter matches exactly one digit; that is, exactly one occurence of "0", "1", "2", "3", "4", "5", "6", "7", "8" or "9". For example, the regular expression:
pic\d\.jpg
would match "pic0.jpg", "pic1.jpg" and so forth. Similarly,
pic\d\d\.jpg
would match "pic00.jpg", "pic01.jpg" ~ "pic99.jpg".
We could combine the digit metacharacter with other metacharacters; for instance,
pic\d+\.jpg
matches any string starting with "pic", followed by a string of numbers, followed by a ".jpg". (Note that the plus is used, and thus "pic.jpg" is not matched.)

The non-digit metacharacter: which uses the uppercase "D". The non-digit metacharacter looks like "\D" and matches any character except a digit. Thus,
pic\D\.jpg
would match "pica.jpg", "picZ.jpg" or "pic+.jpg", but would not match "pic1.jpg", "pic5.jpg" or "pic9.jpg". Similarly,
\D+
Matches any non-null string which contains no numeric characters.

The word metacharacter: which matches exactly one letter, one number, or the underscore character (_). It is written as "\w". It's opposite, "\W", matches any one character except a letter, a number or the underscore. Thus,
a\wz
would match "abz", "aTz", "a5z", "a_z", or any three-character string starting with "a", ending with "z", and whose second character was either a letter (upper- or lower-case), a number, or the underscore. Similarly,
a\Wz
would not match "abz", "aTz", "a5z", or "a_z". It would match "a%z", "a{z", "a?z" or any three-character string starting with "a" and ending with "z" and whose second character was not a letter, number, or underscore. (This means the second character must either be a symbol or a whitespace character.)

The braces metacharacter: This metacharacter follows a normal character and contains two number separated by a comma (,) and surrounded by braces ({}). It is like the star metacharacter, except the length of the string it matches must be within the minimum and maximum length specified by the two numbers in braces. Thus,
pic0{3,5}\.jpg
will match "pic000.jpg" and "pic00000.jpg". No other string is matched. Likewise,
pic.{3,5}\.jpg
will match "pic000.jpg", "pic99999.jpg" or "picabc.jpg", but not "pic00.jpg", since "00" is only two characters long.

The alternative metacharacter: is represented by a vertical bar (|). It indicates an either/or behavior by separating two or more possible choices. For example:
beatles|u2
will match any subject containing the strings "beatles" or "u2" or both.

The bracket metacharacter: matches one occurence of any character inside the brackets ([]). For example,
pic_[abf]\.jpg
will match "pic_a.jpg", "pic_b.jpg" and "pic_f.jpg", but not "pic_0.jpg", "pic_c.jpg" or "pic_e.jpg". Similarly,
Ranges of characters can be used by using the dash (-) within the brackets. For example,
pic[a-d]\.jpg
will match "pica.jpg", "picb.jpg", "picc.jpg" or "picd.jpg", and nothing else. Likewise,
wallpaper[3-5]\d\.jpg
will match "wallpaper30.jpg" ~ "wallpaper59.jpg".
If you wish to include a dash within brackets as one of the characters to match, instead of to denote a range, put the dash immediately before the right bracket. Thus:
a[1234-]z
and
a[1-4-]z
both do the same thing. They both match "a1z", "a2z", "a3z", "a4z" or "a-z", and nothing else.

The bracket metacharacter can also be inverted by placing a caret (^) immediately after the left bracket. Thus,
wallpaper[^02468]\.jpg
matches any ten-character string starting with "wallpaper" and ending with anything except an even number. Inversion and ranges can be combined, so that
\W[^f-h]ood\W
matches any four letter wording ending in "ood" except for "food", "good" or "hood". (Thus "mood" and "wood" would both be matched.)
Note that within brackets, ordinary quoting rules do not apply and other metacharacters are not available. The only characters that can be quoted in brackets are "[", "]", and "\". Thus,
[\[\\\]]abc
matches any four letter string ending with "abc" and starting with "[", "]", or "\".

4.The table below lists some of the more useful special (meta) characters.
Reg-expr | Description
. | Matches any character (except newline)
x? | Matches 0 or 1 x's, where x is any regular expression
x* | Matches 0 or more x's
x+ | Matches 1 or more x's
foo|bar | Matches one of foo or bar
[xyz] | Matches any character in the set xyz, specify ranges with a -
[^xyz] | Matches any single character not in the set xyz
\w | Matches an alpha-numeric character, i.e., [a-zA-Z0-9_]
(x) | Brackets a regular expression
\metachar | Matches the metacharacter (takes away its special meaning)

5.The search is case insensitive; thus
picture
and
Picture
and
PICTURE
all search for the same set of strings. Each will match "picture", "PICTURE", "Picture", "PicTure" and so forth. Thus you need not worry about capitalization. (Note, however, that metacharacter must still have the proper case. This is especially important for metacharacters whose case determines whether their meaning is reversed or not.)


Create A New Task

Tasks contain all the information about a particular download operation. In addition to containing the picture filter (Profile).

To create a new Task, switch to Tasks Tab on Project Pane and do one of the following:

· Clicking Task menu and selecting New Task

· Pressing the [image] button on the Toolbar

· Pressing Ctrl+T keys.

Then Fill the Option tab's form.

See also:
Quick Turor by example


Downloading Pictures

To download project:
· Check the tasks you want to download, and pressing [image] button on the Toolbar or clicking Task menu and selecting Start.

· If you paused the download of this project, PicaLoader will ask you whether to resume download or re-start download.

· During download, you can see what pictures have been downloaded in Picture tab.

· During download, you can use Monitor tab to see download status.

· If any error occurs during the download, it can be viewed in the Report tab after the download is accomplished or paused or aborted.

· The program will stop download automatically when the web site has been downloaded or certain stopping criteria have been reached.

· You can pause download by choosing Task / Pause menu or pressing the [image] button on the Toolbar.

· You can Abort download by choosing Task / Abort menu or pressing the [image] button on the Toolbar.


Checking Download Progress

PicaLoader's Monitor screen lets you watch the progress of each individual connection to the Internet. You can check the download speed, or total Kbytes downloaded, and dynamically increase or decrease the number of simultaneous connections to achieve the best possible throughput.
This also shows the number of downloaded pages, pictures and errors. These give you a quick indication of how far your Project has progressed.

The total Kbytes downloaded, average speed, downloaded pictures and all pictures, queued pictures and all pictures, are also displayed in the Status Bar's right pane.

To view Monitor screen

· Switch Project pane to Tasks tab

· Switch Main pane to Monitor tab.


Using Profile

A profile defines the picture filter template which PicaLoader should follow when downloading and saving pictures. Profiles outline what picture-types, what size picture files, what width and height range of pictures, what definition pictures and what color depth pictures should be downloaded.

Profiles are re-useable between projects, and thus make it easy to download different websites using the same filters.

PicaLoader provides a number of basic profiles to get you started, such as 'High-Definition photos', this profile will download definition greater than or equal to 70 DPI (Dots per Inch) , a file size greater than or equal to 20 Kbytes, picture size greater than or equal to 120X100, and color depth greater than or equal to 24bit photos.

To create your own profile

· Switch to Profile tab on Project pane

· Right click on the Project pane and select New Profile in popup menu,
or select New Profile in main menu.

· Fill the Profile tab options in the Main pane.


Sorting Pictures

Sorting pictures can be useful when looking for a picture or when checking a range of pictures. In these instances it is helpful to organize pictures in the Browser's picture list based on particular criteria such as name or size. You can sort the Picture list in both view modes. The method of sorting is preserved across sessions; it remains in effect until you change it.

You can sort in the Picture tab or Search tab's Browser. Sorting in one tab will not affect another tab.

Sorting in Both Picture List View

· Switch to the Task tab in Project pane and then switch to Picture tab or Search tab then select sort the displayed pictures as described here.

To change the way pictures are sorted in the Picture list:

· Click View | Sort.

· Choose one of the options listed.

Sorting Using Column Headers

The most visual way of telling how pictures are sorted is by using the Details view.

To change the sort order:

Click a column name (e.g., click Name to sort all pictures by the picture's original filename).

Direction of the Sort

When clicking on the column name, an arrow will signify that the list is sorted according to that picture's information criterion. You can click the name again to alternate from forward to reverse sorting.

· Up arrow:Signifies a forward alpha-numeric sort (A-Z, lowest to highest, etc.)

· Down arrow:Signifies a reverse alpha-numeric sort (A-Z, lowest to highest, etc.)


Copy and Move

Copy to / Move to

You can copy or move one or more pictures to another folder in the Picture tab or Search tab.
If you move pictures in one tab, they will disappear in the other tab at the same time.

To Copy to/Move to one picture from the Browser:

1. Select the picture.

2. Do one of the following:

· Click Picture | Copy to/Move to.

· Right-click the picture and select Copy to/Move to.

3. Specify the target folder.

To Copy to/Move to an picture from the Viewer:

· Right click the picture and select Copy to/Move to.

To Copy to/Move to more pictures from the Browser:

1. Do one of the following:

· If you want to copy/move a few pictures, check the pictures you want to copy/move, even they are not on same pages.

· If you want to copy/move much pictures, check the pictures you not want to copy/move, then select Invert checked in Picture menu.

2. Select Copy checked to/Move checked to in Picture menu.


Deleting Pictures

You can delete one or more pictures in the Picture tab or Search tab. If you delete pictures in one tab, they will disappear in the other tab at the same time.
The next time you download this project, PicaLoader will not retrieve the deleted pictures. If you want PicaLoader to retrieve the deleted pictures, select Project | Database | Optimize Project data.

To delete one picture from the Browser:

1. Select the picture.

2. Do one of the following:

· Click Picture | Delete.

· Right click the picture and select Delete.

· Press the Delete key.

3. In the Confirm Picture Delete dialog box, do one of the following:

· Select Yes to delete the picture.

· Select No to cancel and return to the Browser.

To delete an picture from the Viewer:

· Right-click the picture and select Delete.

· Press the Delete key.

To delete more pictures from the Browser:

1. Do one of the following:

· If you want delete a few pictures, check the pictures you want to delete, even they are not in same pages.

· If you want delete much pictures, check the pictures you not want to delete, then select Invert checked in Picture menu.

2. Do one of the following:

· Select Delete checked in Picture menu.

· Press Ctrl+Delete key.


View Pictures in Full Screen Mode

In full-screen mode, the window borders, menu bar, status bar and tool bar are hidden and the window fills the screen so that only the picture is visible.

To view pictures in full screen:

· Switch to Picture Pane or Search Pane

· Double Click on picture you want see in full screen,or select the picture you want see in full screen and press Enter key.

· The toolbar buttons are hidden, but you can still access the commands. Use the shortcut keys or right-click the picture to access a shortcut menu.

To return to normal mode, do one of the following:

· Press ESC or Enter.

· Right click the picture and select Close.

Panning an image

You can pan an picture to view pictures that are larger than the display area. You can move pictures vertically, horizontally, and diagonally across the display area. When an picture is larger than the Viewer, the mouse pointer becomes the shape of a hand.

To pan an image, do one of the following:

· Drag the picture to move it.

· Press the Arrow keys to pan in the respective directions.

· Hold the mouse's left button down and rotate the mouse wheel.

· Hold the CTRL down and rotate the mouse wheel.


Searching for Pictures

You can search a whole project for pictures by picture name, referrer URL, notes, picture properties and time. The search result displays in Search tab of Main pane.
If you search by two or more conditions, every condition must include criteria to match.

To search for an picture:

· Switch to Task tab in Project pane.

· Select Search Pictures in Picture menu or click [image] on Toolbar.

· Input select conditions in Search Pictures Dialog Box, then press OK.


Wallpaper

You can select any picture and set it as the Windows desktop wallpaper.

To set an picture as the desktop wallpaper:

1. Select an image from the Picture Pane or Search Pane

2. Click Picture | Set Wallpaper and select one of the following:

· Centered to place the picture in the center of the screen. If the picture is larger than the screen, it is shrunk to fit.

· Tiled to display the picture in full dimensions in a tiled pattern that fills the entire desktop.

The selected picture is saved as "PLP Wallpaper.bmp" in the Windows folder. PicaLoader automatically changes the wallpaper settings in the Control Panel to display the picture.

To clear wallpaper:

· Click Picture | SetWallpaper | Restore.


How to Customize PicaLoader Using Options

There are many application options that you can configure.

To access PicaLoader options, do one of the following:

· Click the Options shortcut button.

· click View | Options.

In the Options dialog box, set the options.Click OK.

Note:

There are many option settings and throughout this help file instructions are provided on how to use particular options.
The Options dialog box also contains help messages. You can press the Help button on the Options dialog box to see it.
.


Keyboard Shortcuts

Common shortcuts

F1 Help

Shift+F1 What's this

Ctrl+N New project

Ctrl+O Open a project

Ctrl+S Save project

Ctrl+T New Task

Ctrl+L Slide Show

When focus in Picture tab or Search tab

Del Remove selected picture

Ctrl+Del Remove checked picture

Space Check/Uncheck selected picture

Ctrl+W Set selected picture as centered wallpaper

Ctrl+Shift+W Set selected picture as tiled wallpaper

PageUp Previous page

PageDown Next page

Ctrl+Home First page

Ctrl+End Last page

Enter Show selected picture in View mode

Ctrl+A Check all

Alt+A Check none

Ctrl+I Invert checked

In View mode

PageUp or Mouse wheel forward Previous picture(By current sort order)

PageDown or Mouse wheel backward Next picture( By current sort order)

Arrow keys or CTRL+mouse wheel Scroll picture
or mouse left button down+ mouse wheel

Enter or ESC Return to thumbnail browser mode


Get Help

To get help:

· Check the Frequently Asked Questions section.

· Read online Help.

· Visit PicaLoader web site. The address is www.VOWSoft.com. You will find helpful information about current and future releases, tips how to use the program more efficiently, other users comments.

· If you still didn't find an answer to your question, please send e-mail message to PicaLoader support team. You can contact us anytime by sending a message to support@VOWSoft.com.

· Please be aware that Technical support is guaranteed only for registered users.

· Support requests from users of TRIAL version are answered only if the issue is not covered in the documentation and FAQ, and the issue is well described (what is the problem, URL of the site) and is reproducible.


FAQ

Frequently Asked Questions

To view a list of frequently asked questions, visit our Web site at:

www.VOWSoft.com/faq.htm

See also:
Contacting VOWSoft


Uninstalling

Uninstalling PicaLoader

To remove this program from your system:

1. Open the Windows Control Panel.

2. Double-click Add/Remove Programs.

3. Find the application name in the list and select it.

4. Follow the instructions in the Uninstall Wizard.

or

Click Uninstall PicaLoader from Start Menu's VOWSoft group.


How to Purchase

PicaLoader is not freeware. You are entitled to use it for evaluation purposes without charge for a period of 30 days. If you want to use PicaLoader after the 30-day evaluation period you must pay a registration fee. For information about prices and ordering details (credit cards, voice, fax, and snail mail) please go to

www.VOWSoft.com/purchase.htm

By purchasing PicaLoader you are not only paying for what you have, but also investing in the future. Once you become a registered user, all upgrades of this software will be available to you free of charge. Registration also entitles you to receive lifelong free technical support via e-mail.

Note! Before you register, make sure you have the latest version of the software. The latest version is always can be downloaded from the following web page:

www.VOWSoft.com/download.htm


Contacting VOWSoft
Previous Top

For the most recent contact information, please visit our Web site at:
www.VOWSoft.com/contact.htm

Technical Support and Feedback

By purchasing this product, you receive ongoing, preferred treatment by our technical support team, should the need arise! If you have any technical related questions or general feedback, please mail to:
support@VOWSoft.com

Important:
Please have your SerialNo ready as you will be required to provide it in order to receive support. To find the SerialNo, go to the program Help menu and open the About dialog box.

Feedback

Your feedback is important to us. Many features and portions of the interface continue to be influenced by comments from users. So, if you have a grand idea for a new feature, or a better way of doing something, please drop us a note.

E-mail:
PicaLoader@VOWSoft.com

Getting Updates

You may download software updates from:
www.VOWSoft.com/download.htm
If you are not connected to the Internet, you can try another time.


.topic 1855

Congratulations on choosing PicaLoader - a fully automated, multithreaded, link-following, picture-retrieving robot that will retrieve all the pictures you want from any part of the Internet. The program can also manage the downloaded pictures with a built-in thumbnail browser.

With the advanced HTML analyzing engine, you can download any picture from the Internet, even pictures linked by JavaScript, VBScript and JScript. Pictures can be filtered by size, definition, color depth, etc., with the high-powered, pre-reading picture filter engine.

PicaLoader can auto-reject duplicate pictures, resume broken downloads, save every picture's name, size, creation time, download time, referrer URL, and the picture's notes for you. You can use the built-in picture filter profile or define your own.

With the built-in pagination Thumbnail Browser, you can quickly and efficiently find, organize and preview pictures. You can sort, search, copy, or move the pictures you have downloaded, and even set a password for your project, which may contain up to 700,000 pictures.

The user interface is designed for quick access to tools, and there are many customization features. Screen layout, the order of pictures, and many options can be customized to suit your preferences. PicaLoader is a fast and easy-to-use product that everyone from novices to professionals can use and enjoy.

.topic 4

The Main has several panes to help you manage and access your project and pictures.Some of the user interface features include:

Thumbnails and a picture preview to quickly recognize pictures.

Tabbed pages that open to different panes and give you quick access to project and profiles, to monitor downloading, and to report the download result.

A toolbar and a statusbar.

 Options
You can change Browse window's option using the Main toolbar shortcut buttons   or by clicking on Options in the View menu.

To show or hide different areas
1.	Click View.
2.	Select one of the following:
Toolbar
Status Bar
Project Window
Preview Window

.topic 262344
The Preview pane shows a preview of the currently selected picture.

To control the display of the Preview pane:

Click View | Preview Pane.

To open the preview picture in the Viewer:

Double-click the preview picture.

.topic 59648
In Project pane, you can manage your tasks in the project and profiles.

.topic 65664
In the Main pane, you can manage your pictures, monitor downloading, and manage the profiles.

.topic 57600
Create a new Project. PicaLoader will create a root item in the Tasks Tab, the item' is "New Project", and the Main Pane will auto-switch to the Option Tab, where you can fill in the options as the project's default options.

ToolBar
ShortCut	Ctrl+N

.topic 57601
Open an existing project and display pictures in Picture tab. Current project will be closed.

ToolBar
ShortCut	Ctrl+O

.topic 57603
Save the active project's options.

ToolBar
ShortCut	Ctrl+S

.topic 32887
Re-generate all the picture thumbnails and save thumbnails into the thumbnail database file (Thumbnail.dat)

.topic 32888
Remove deleted pictures' thumbnail from the thumbnail database file.

.topic 32889
Remove deleted pictures' information from the project database file (PicaInfo.dat).So you can remove the deleted pictures.

.topic 32891
Set a password for the active project. PicaLoader will ask you for the password next time you open this project.

.topic 57665
Exit PicaLoader.If you are downloading pictures, you must Pause or Abort the download first.

.topic 32821
Create a new task. The Main pane will auto-switch to the Option tab. You can enter the starting address and other download options immediately.

ToolBar

See also:
Option Tab

.topic 32822
Remove selected task.

ToolBar

.topic 32803
Change a task's name.

.topic 32797
Set all the task's status pointers to Enabled. When you Start download, all the enabled tasks will be downloaded.

.topic 32798
Set all tasks' status pointers to Disabled.

.topic 32800
Start to download all enabled tasks.

ToolBar

See also:
Monitor Tab

.topic 32792
Pause current download and save queued links. The next time you Start download, PicaLoader will ask you whether to resume this paused download.

ToolBar

.topic 32813
Abort current download.

ToolBar

.topic 32828
Create a new profile. The Main pane will auto-switch to the Profile Form. You can fill the form immediately.

See also:
Profile Form

.topic 32829
Remove selected profile. It is not advisable to remove the build-in profiles.

.topic 32841
Change selected profile's name.

.topic 32827
Search for pictures matching specific criteria.

See also:
Search Pictures Dialog Box
Searching for Pictures

.topic 32844
Delete selected pictures. The deleted pictures will not be download again when you re-start downloading the project, if you want retrieve deleted pictures, you should select Optimize project data in Project Menu.

See also:
Optimize project data

.topic 32845
Copy selected picture to another folder.

.topic 32846
Move selected picture to another folder.

.topic 32843
Set the selected picutre's status to Checked.

.topic 32860
Set all selected task's pictures' status to unchecked. If you select the Root in the task tree, you set all pictures in the project.

.topic 32859
Set all selected task's pictures' status to 'Checked'. If you select the Root in task tree, you set all pictures in the project.

.topic 32858
Invert all selected task's pictures' status. If you select Root in task tree, you set all pictures in the project.

.topic 32864
Delete all 'Checked' pictures in the project.

.topic 32869
Copy all 'Checked' pictures in the project to another folder.

ToolBar

.topic 32862
Move all 'Checked' pictures in the project to another folder.

ToolBar

.topic 32884
Set selected picture as Windows desktop wallpaper in centered mode - place the picture in the center of the screen. If the picture is larger than the screen, it is shrunk to fit.

.topic 32885
Set selected picture as Windows desktop wallpaper in tiled mode -  display the picture in full dimensions in a tiled pattern that fills the entire desktop.

.topic 32886
Remove the Windows desktop wallpaper.

.topic 59392
Show or hide Toolbar.

See also:
Toolbar

.topic 59393
Show or hide Status Bar.

See also:
Status Bar

.topic 32832
Show or hide Project pane.

See also:
Project pane

.topic 32840
Show or hide Preview pane.

See also:
Preview pane

.topic 32835
Shows picture items using thumbnail icon. The Picture tab and Search Tab change respectively.

See also:
Picture tab
Search tab

.topic 32836
Display information about each item. The Picture tab and Search Tab change respectively.

See also:
Picture tab
Search tab

.topic 32871
Sort by picture's original filename.

.topic 32874
Sort by picture's file size.

.topic 32872
Sort by picture's format.

.topic 32875
Sort by picture's create time.

.topic 32876
Sort by picture's download time.

.topic 32877
Sort by picture's Notes.

.topic 32878
Sort by picture's Referrer URL.

.topic 32879
Sort by picture's width.

.topic 32880
Sort by picture's height.

.topic 32881
Sort by picture's width*height(Area).

.topic 32882
Sort by picture's definition.

.topic 32799
Brings up the Options dialog box for customizing PicaLoader.

See also:
Option Dialog
How to Customize PicaLoader Using Options

.topic 57667
Display the table of contents for this online Help.

.topic 32893
Searchs in this online Help.

.topic 32894
Displays the Index to this online Help.

.topic 57669
Display help for clicked on buttons, menus and windows.

.topic 32796
Register PicaLoader.

.topic 32890
Purchase PicaLoader on-line.

.topic 32892
Visit PicaLoader's Homepage.

.topic 57664
Display program information, version number and copyright.

.topic 6
PicaLoader's View window displays your pictures one at a time in full resolution while still giving access to most of the functionality available in Browse mode. The View window, also known as the Viewer, opens a sequence of pictures to be viewed one at a time. Other features include:

File management functionality (delete, copy to..., move to..., etc.)

Set as wallpaper

To open a picture in the Viewer, do one of the following:

Select a picture in the Browser and press Enter.

Double-click a picture.

Click right button,in pop menu,select View.

To return to Browse mode, do one of the following:

Press Esc or Enter.

Double-click on the picture.

Click right button,in pop menu,select Close.

Navigation

If there are more than one picture in the browser you can use the following means of navigation.

Page Up: Displays the previous picture.

Page Down: Displays the next picture.

Space: Set current picture as checked.

.topic 30000
General:
Proxy Server: PicaLoader can work via HTTP proxy servers. If your Internet/Intranet system requires that you connect to a proxy server,  check "Connect to  the internet using a proxy server" and specify your proxy parameters. If you do not know your proxy settings, contact your  system administrator or service provider. Most proxies do not require authentication. However, if your proxy server requires an account and password, enter the username and password. PicaLoader will automatically handle proxy authentication when it runs your project.

Agent Identity: Browsers, webspiders, and other Internet client programs can broadcast their identity when making requests for files.  Although it's considered good netiquette to broadcast your true identity, sometimes a remote server will look at the agent identity to determine what type of data to send it  or whether to send it data at all.  For example, some websites will not send frame links to older Microsoft Internet Explorer browsers, which were not capable of reading frame links.  Although PicaLoader defaults to broadcasting its true identity, you may wish to change its identity if a site appears to be unresponsive to PicaLoader, yet works with your browser.

Anonymous broadcasts no identity at all.

PicaLoader 1.0 broadcasts the string "PicaLoader <current version number>.

Mozilla/4.0 (compatible; MSIE 5.5; Windows.98) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 5.5 running under Windows 98;

Mozilla/4.0 (compatible; MSIE 5.5; Windows.NT 5.0) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 5.5 running under Windows 2000;

Mozilla/4.0 (compatible; MSIE 6.0; Windows 98) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 6.0 running under Windows 98;

Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) option will cause PicaLoader to identify itself as Microsoft Internet Explorer 6.0 running under Windows 2000.

Download:
Connection:

Max Connections: Specifies the number of simultaneously retrieved files. By default the number is set to 5, but if you are working via a dedicated line, xDSL, Cable Modem or other fast way, you can increase this number.

Timeout: Number of seconds to wait before a timeout occurs.

Pause between connections: Pause between successive connections to server, in seconds. Set this to several seconds to protect webservers from overloading.

Max retries: Maximum number of retries if a connection or download fails. If download is not finished, PicaLoader will resume download next time it connects.

Don't use IE cookie: Don't use Internet Explorer cookie when connecting to server.

Disk space:

Disk free space limit Stop download if free disk space drops below this limit in kilobytes.

Max pictures each time download:

Max pictures each time download limit the number of pictures downloaded each time. If limit is reached, download will pause. You can resume download next time.

Browser&Viewer:
Browser:

Thumbnails per page: Specifies the number of thumbnails display in Pictures tab and Search tab.

Auto select new picture:  When a new picture is downloaded, auto select it in Pictures tab.

Store thumbnails: Store thumbnails into Thumbnail.dat, This greatly enhances the speed at which PicaLoader gathers thumbnails.

Viewer:

Fit picture: Fit the picture into Viewer.

Full size: Show full picture in Viewer, if picture larger than Viewer, you can Panning/Scrolling it.

Slide Show:
Sequence:

Forward: Show pictures in forward sequence.

Reverse: Show pictures in reverse sequence.

Repeat: When sequence end repeat from start.

Time(Automatic)Slide Show:

Delay(Second): Delay between each pictures.

Project:
New Project Default Type:

Standard Project: When create new project, set the project as standard project, which save downloaded pictures into 38 folders, up to 700,000 pictures per project.

Lite Project: When create new project, set the project as "Lite" project, which save downloaded pictures into one folder, up to 20,000 pictures per project.

Show Tips of the day at StartUp.

.topic 321536
The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button. If a command is unavailable, its button appears grayed-out.

To control the display of the Toolbar:

Click View | Toolbar.

Toolbar Shortcut Buttons

     Create a new project.

     Open an existing project.

     Save the active project.

     Start download enabled sites.

     Pause current download.

     Abort current download.

     Create a new task.

     Remove selected task and all pictures of this task.

     Searches for pictures matching specific criteria,and show search result in Search pane.

     Brings up the Options dialog box for customizing PicaLoader.

     Delete selected picture.

     Copy selected picture to another folder.

     Move selected picture to another folder.

     Show current picture's properties.

     Shows picture items using thumbnail icons.

     Display detail information about each item.

     Display program information, version number and copyright.

     Display help for clicked on buttons, menus and windows.

.topic 1836
You can copy or move one or more pictures to another folder in the Picture tab or Search tab.
If you move pictures in one tab, they will disappear in the other tab at the same time.

To Copy to/Move to one picture from the Browser:

1.	Select the picture.

2.	Do one of the following:

 Click Picture | Copy to/Move to.

 Right-click the picture and select Copy to/Move to.

3.	Specify the target folder.

To Copy to/Move to an picture from the Viewer:

Right click the picture and select Copy to/Move to.

To Copy to/Move to more pictures from the Browser:

1.	Do one of the following:

If you want to copy/move a few pictures, check the pictures you want to copy/move, even they are not on same pages.

If you want to copy/move much pictures, check the pictures you not want to copy/move, then select Invert checked in Picture menu.

2.	Select Copy checked to/Move checked to in Picture menu.

.topic 10
There are many application options that you can configure.

To access PicaLoader options, do one of the following:

Click the Options shortcut button.

click View | Options.

In the Options dialog box, set the options.Click OK.

Note:

There are many option settings and throughout this help file instructions are provided on how to use particular options.
The Options dialog box also contains help messages. You can press the Help button on the Options dialog box to see it.
.

.topic 1
PicaLoader is not freeware. You are entitled to use it for evaluation purposes without charge for a period of 30 days. If you want to use PicaLoader after the 30-day evaluation period you must pay a registration fee. For information about prices and ordering details (credit cards, voice, fax, and snail mail) please go to

    www.VOWSoft.com/purchase.htm

By purchasing PicaLoader you are not only paying for what you have, but also investing in the future. Once you become a registered user, all upgrades of this software will be available to you free of charge. Registration also entitles you to receive lifelong free technical support via e-mail.

Note! Before you register, make sure you have the latest version of the software. The latest version is always can be downloaded from the following web page:

    www.VOWSoft.com/download.htm